Kerbal Space Program - Bug #18519

ModuledJettison issue with ModulePartVariants

04/12/2018 02:33 PM - Electrocutor

Status: Closed Start date: 04/12/2018
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version: 1.4.3

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game, Making History

Description

Moduledettison only hides the first mesh with matching name for the fairing, regardless of transform hierarchy visibility.

In the case of using ModulePartVariants, you will often have multiple meshes under different models with the same name.

| propose that Moduledettison should show/hide the first mesh by name that is currently not beneath a hidden transform.

Example:
Model1 (hidden)
- fairing

- engine

Model2 (visible)
- fairing

- engine

Model3 (hidden)
- fairing

- engine

History

#1 - 04/12/2018 08:47 PM - Electrocutor

Example Part:

PART {
name = _BugEngine
module = Part
title = _BugEngine
category = Engine
scale = 0.1

node_stack_top = 0.0 .21461, 0.0,

’
node_stack_bottom = 0.
attachRules = 1,0,1,0,
MODEL {
model =
}
MODEL {
model =
}
MODULE
{
name = ModuleJettison
jettisonName = fairing
bottomNodeName = bottom
isFairing = True
}
MODULE {
name = ModulePartVariants
baseVariant = Basic
0.0,
0,
0,

0.0
-1.0,

0.

0

Squad/Parts/Engine/liquidEngineLV-T30/model

Squad/Parts/Engine/liquidEnginelV-T45/model
VARIANT {
name = Basic
displayName = Basic
primaryColor = #ffffff
secondaryColor = #ffffff

GAMEOBJECTS {
Squad/Parts/Engine/liquidEngineLV-T30/model (Clone) = true
Squad/Parts/Engine/liquidEnginelV-T45/model (Clone) = false

}

}
VARIANT {

name = LVT45

displayName = LV-T45
primaryColor = #ffffff
secondaryColor = #ffffff

GAMEOBJECTS {
Squad/Parts/Engine/liquidEngineLV-T30/model (Clone) = false
Squad/Parts/Engine/liquidEngineLV-T45/model (Clone) = true

#2 - 04/30/2018 10:30 AM - Squelch
- Status changed from New to Ready to Test
- Target version set to 1.4.3

- % Done changed from 0 to 80

Changes to how the config nodes are parsed have been made. Only a single variant model is required now.

#3 - 07/24/2019 11:55 PM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#4 - 07/24/2019 11:55 PM - chris.fulton

- Status changed from Resolved to Closed
